Bug 1394573 - firewall-config missing kernel feature nf_conntrack_netbios_ns
Summary: firewall-config missing kernel feature nf_conntrack_netbios_ns
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-13 19:08 UTC by Branko Grubić
Modified: 2017-08-08 19:14 UTC (History)
13 users (show)

Fixed In Version: firewalld-0.4.4.2-1.fc25 firewalld-0.4.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:14:55 UTC


Attachments (Terms of Use)

Description Branko Grubić 2016-11-13 19:08:14 UTC
Description of problem:
On Fedora 25 Workstation (rc 1.2) fresh install (with all updates available from 'uptdates-testing'), changing rules in 'firewall-config' (firewalld) results with a message  

"INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel"

That specific module is still available (provided by kernel-core), but not loaded at boot. I tried to load module manually, same issue, reloading firewalld (restarting service also (if not the same)), doesn't help.

Version-Release number of selected component (if applicable):
kernel-4.8.7-300.fc25.x86_64
firewalld-filesystem-0.4.4.1-1.fc25.noarch
firewalld-0.4.4.1-1.fc25.noarch
firewall-config-0.4.4.1-1.fc25.noarch


How reproducible:
Always

Steps to Reproduce:
1. Open 'firewall-config' 
2. under default "FedoraWorkstation" zone
3. uncheck 'samba-client'

Actual results:
"INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel"

Expected results:
No "error" message, disable specific port in the firewall zone

Additional info:



If filed against wrong component, please re-assing.
Thanks

Comment 1 Rand Kmiec 2016-11-18 02:56:49 UTC
Same issue here with Fedora 24 and the 4.8.6 Kernel:

$ uname -r
4.8.6-201.fc24.x86_64

Comment 2 James Hogarth 2016-11-18 14:08:57 UTC
Confirm affecting F24  with:

firewalld-0.4.4.1-1.fc24.noarch
kernel-4.8.7-200.fc24.x86_64

Interestingly kernel does show module

 grep -i netbios /boot/config-4.8.7-200.fc24.x86_64
CONFIG_NF_CONNTRACK_NETBIOS_NS=m

/usr/lib/modules/4.8.7-200.fc24.x86_64/kernel/net/netfilter/nf_conntrack_netbios_ns.ko.xz

fresh boot lsmod shows module not loaded

modprobe works to load it

with the module loaded samba still not showing in firewall-cmd --liat-all

with the module already loaded restarting firewalld does not add samba rules


Nov 18 14:05:20 foo systemd[1]: Starting firewalld - dynamic firewall daemon...
Nov 18 14:05:21 foo systemd[1]: Started firewalld - dynamic firewall daemon.
Nov 18 14:05:21 foo firewalld[4499]: WARNING: FedoraServer: INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel

Commenting out the <module> stanza in the samba.xml service definition allows it to work, of course, but then the module won't be loaded on demand on course

Comment 3 Jonathan Briggs 2016-11-19 02:40:14 UTC
Getting this same problem. I did a bit of poking around in firewalld's python code. Not sure if this is the real problem, but it can't seem to read the module directory because of SELinux:

AVC avc:  denied  { read } for  pid=26934 comm="firewalld" name="modules" dev="sde3" ino=3705 scontext=system_u:system_r:firewalld_t:s0 tcontext=system_u:object_r:modules_object_t:s0 tclass=dir permissive=0

And firewalld's code wants to read the kernel/net/netfilter directory in order to discover all possible nf_conntrack_* modules.

I'm not sure if a SELinux rule changed or if this firewalld code is new.

Comment 4 Jonathan Briggs 2016-11-19 03:34:30 UTC
I created an issue on upstream here: https://github.com/t-woerner/firewalld/issues/175

Comment 5 Rand Kmiec 2016-11-20 14:31:34 UTC
I did this to get it working [temporarily] by allowing it to deal with whatever is wrong with SELinux:

root# setenforce permissive
root# systemctl restart firewalld.service

<connected to a Samba share from another PC>

root# setenforce enforcing

I don't really know what the true "solution" to this bug is, but hopefully somebody with more SELinux experience and a better understanding of the firewall code can sort this out... and hopefully the above can help others whose Samba shares are no longer working.

Comment 6 Thomas Woerner 2016-11-21 12:23:02 UTC
I submitted a pull request for selinux-policy to be able to fix this: 

https://github.com/fedora-selinux/selinux-policy/pull/171

Comment 7 Simon 2016-11-25 10:38:06 UTC
I've got the same problem on F24, cockpit says:

 firewalld Fri Nov 25 2016 10:09:06 GMT+0000 (GMT)
ERROR: INVALID_HELPER: 'nf_conntrack_netbios_ns' not available in kernel
PRIORITY	3
SYSLOG_FACILITY	3
SYSLOG_IDENTIFIER	firewalld
SYSLOG_PID	962
_BOOT_ID	c3c17ac0a8e64a3583d4bcc80b62aa52
_CAP_EFFECTIVE	3fffffffff
_CMDLINE	/usr/bin/python3 -Es /usr/sbin/firewalld --nofork --nopid
_COMM	firewalld
_EXE	/usr/bin/python3.5
_GID	0
_HOSTNAME	localhost.localdomain
_MACHINE_ID	e64e98dafd0b4401a18ecb2694671de9
_PID	962
_SELINUX_CONTEXT	system_u:system_r:firewalld_t:s0
_SOURCE_REALTIME_TIMESTAMP	1480068546354008
_SYSTEMD_CGROUP	/system.slice/firewalld.service
_SYSTEMD_SLICE	system.slice
_SYSTEMD_UNIT	firewalld.service
_TRANSPORT	syslog
_UID	0
__CURSOR	s=d918b1f148e848d1abbd517c7960b785;i=5b36;b=c3c17ac0a8e64a3583d4bcc80b62aa52;m=29ed1e47d0;t=5421d4ff2dd1d;x=b14dab7058680f8c
__MONOTONIC_TIMESTAMP	180071843792
__REALTIME_TIMESTAMP	1480068546354461

Tried setenforce permissive
SAMBA still not visible to other PC on network & Smb4K not seeing any shares despite smb & nmb services running (which might be a different problem but I don't know what it is) -anyone come up with a solution yet?

Comment 8 Peter Bieringer 2016-11-25 16:51:53 UTC
(In reply to Simon from comment #7)
> I've got the same problem on F24, cockpit says:

...

> Tried setenforce permissive
> SAMBA still not visible to other PC on network & Smb4K not seeing any shares
> despite smb & nmb services running (which might be a different problem but I
> don't know what it is) -anyone come up with a solution yet?

the workaround is to restart the firewalld while SELINUX=permissive (or disabled) because it's a startup issue of firewalld. Runtime change of selinux without restarting firewalld won't help.

see https://bugzilla.redhat.com/show_bug.cgi?id=1394573#c5

Comment 9 Fedora Update System 2016-12-01 14:52:54 UTC
firewalld-0.4.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 10 Fedora Update System 2016-12-01 14:53:46 UTC
firewalld-0.4.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 11 Fedora Update System 2016-12-01 14:54:05 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 12 Fedora Update System 2016-12-03 04:28:37 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 13 Fedora Update System 2016-12-03 04:34:54 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 14 Fedora Update System 2016-12-03 05:41:33 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 15 Fedora Update System 2016-12-04 02:27:11 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-12-04 05:25:25 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-12-05 17:37:35 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 18 Paolo Leoni 2016-12-11 11:06:43 UTC
I've F24 and firewalld-0.4.4.2-1 installed. Still having the problem, samba selinux is blocking firewalld samba service management.

Thanks.
Paolo

Comment 19 Fedora Update System 2016-12-13 05:24:54 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 20 Thomas Woerner 2016-12-14 08:54:01 UTC
(In reply to Paolo Leoni from comment #18)
> I've F24 and firewalld-0.4.4.2-1 installed. Still having the problem, samba
> selinux is blocking firewalld samba service management.
> 
> Thanks.
> Paolo

Please update to the latest selinux* packges, do a system relabel (restorecon -rvF /) and try again. If there is still an AVC, then please add it to the bug.

Comment 21 Fedora End Of Life 2017-07-25 23:52:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2017-08-08 19:14:55 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.